Example

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
CNFBMetricsProductivity.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CError.h"`
`#include "Capsule/CNFBCalibrator.h"`
`#include "Capsule/CSession.h"`
Include dependency graph for CNFBMetricsProductivity.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clCNFBMetricsProductivityBaselines
struct | clCNFBMetricsProductivityIndividualIndexes
struct | clCNFBMetricsProductivityValues
struct | clCNFBUserArtifacts
| Artifacts when measuring the state user. More...

## Typedefs
typedef void(* | clCNFBMetricsProductivityCalibratedHandler) (clCNFBMetricProductivity)
typedef struct clCNFBMetricsProductivityBaselines | clCNFBMetricsProductivityBaselines
typedef void(* | clCNFBMetricsProductivityInitialBaselineCalibratedHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityBaselines *)
typedef struct clCNFBMetricsProductivityIndividualIndexes | clCNFBMetricsProductivityIndividualIndexes
typedef void(* | clCNFBMetricsProductivityIndividualHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityIndividualIndexes *)
typedef struct clCNFBMetricsProductivityValues | clCNFBMetricsProductivityValues
typedef void(* | clCNFBMetricsProductivityValuesHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityValues *)
typedef struct clCNFBUserArtifacts | clCNFBUserArtifacts
| Artifacts when measuring the state user.
typedef void(* | clCNFBMetricsProductivityArtifactsHandler) (clCNFBMetricProductivity, const clCNFBUserArtifacts *)
typedef float | clCNFBMetricsProductivity_CurrentPowerIAPF
typedef float | clCNFBMetricsProductivity_relaxValue
typedef void(* | clCNFBMetricsProductivityTrainingInfoHandler) (clCNFBMetricProductivity, clCNFBMetricsProductivity_CurrentPowerIAPF, clCNFBMetricsProductivity_relaxValue)
typedef void(* | clCNFBMetricsProductivityEventHandler) (clCNFBMetricProductivity, float)

## Functions
| CLC_CLASS_WN (ProductivityMetricsPrivate, clCNFBMetricProductivity)
CL_DLL clCNFBMetricProductivity | clCNFBMetricsProductivity_Create (clCSession session, const char *path, double speed, double maxSpeed, double slowDown, clCError *error) NOEXCEPT
| Create a NFB classifier for metrics productivity.
CL_DLL clCNFBMetricProductivity | clCNFBMetricsProductivity_CreateCalibrated (clCNFBCalibrator calibrator, const char *path, double speed, double maxSpeed, double slowDown, clCError *error) NOEXCEPT
| Create a NFB classifier for metrics productivity after individual NFB has been calibrated.
CL_DLL void | clCNFBMetricsProductivity_Destroy (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Destroy NFB classifier. Release the NFBMetrics productivity handle.
CL_DLL void | clCNFBMetricsProductivity_InitializeNFB (clCNFBMetricProductivity nfbMetrics, const char *platformAddress, clCError *error) NOEXCEPT
| Initialize NFB classifier for metrics productivity.
| CLC_STRUCT (clCNFBMetricsProductivityCalibratedDelegate)
CL_DLL void | clCNFBMetricsProductivity_CalibratedEvent_Set (clCNFBMetricsProductivityCalibratedDelegate delegate, clCNFBMetricsProductivityCalibratedHandler handler) NOEXCEPT
| Set handler for calibrated event NFB classifier, not involved yet.
CL_DLL clCNFBMetricsProductivityCalibratedDelegate | clCNFBMetricsProductivity_GetOnBaselineCalibratedEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for baseline calibration finished event.
| CLC_STRUCT (clCNFBMetricsProductivityInitialBaselineCalibratedDelegate)
CL_DLL void | clCNFBMetricsProductivity_InitialBaselineCalibratedEvent_Set (clCNFBMetricsProductivityInitialBaselineCalibratedDelegate delegate, clCNFBMetricsProductivityInitialBaselineCalibratedHandler handler) NOEXCEPT
| Set delegate for initial baseline calibration finished event.
CL_DLL clCNFBMetricsProductivityInitialBaselineCalibratedDelegate | clCNFBMetricsProductivity_GetOnInitialBaselineCalibratedEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for initial baseline calibration finished event.
| CLC_STRUCT (clCNFBMetricsProductivityIndividualDelegate)
CL_DLL clCNFBMetricsProductivityIndividualDelegate | clCNFBMetricsProductivity_GetOnIndividualMeasuredEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for Individual measure event.
CL_DLL void | clCNFBMetricsProductivity_IndividualMeasuredEvent_Set (clCNFBMetricsProductivityIndividualDelegate delegate, clCNFBMetricsProductivityIndividualHandler handler) NOEXCEPT
| Set handler for Individual measure event.
| CLC_STRUCT (clCNFBMetricsProductivityValuesDelegate)
CL_DLL clCNFBMetricsProductivityValuesDelegate | clCNFBMetricsProductivity_GetOnProductivityValuesEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for Productivity scores event.
CL_DLL void | clCNFBMetricsProductivity_ValuesEvent_Set (clCNFBMetricsProductivityValuesDelegate delegate, clCNFBMetricsProductivityValuesHandler handler) NOEXCEPT
| Set handler for Productivity scores event.
CL_DLL float | clCNFBMetricsProductivity_GetIAPF (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Set handler for Individual measure event.
CL_DLL float | clCNFBMetricsProductivity_GetIAF (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Set handler for Individual measure event.
CL_DLL void | clCNFBMetricsProductivity_ResetAccumulatedFatigue (clCNFBMetricProductivity nfbMetrics, clCError *error) NOEXCEPT
| Reset accumulated fatigue and start calculated it from 0.
| CLC_STRUCT (clCNFBMetricsProductivityArtifactsDelegate)
CL_DLL clCNFBMetricsProductivityArtifactsDelegate | clCNFBMetricsProductivity_GetOnArtifactsEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for occurrence artifacts event.
CL_DLL void | clCNFBMetricsProductivity_ArtifactsEvent_Set (clCNFBMetricsProductivityArtifactsDelegate delegate, clCNFBMetricsProductivityArtifactsHandler handler) NOEXCEPT
| Set handler for occurrence artifacts event.
| CLC_STRUCT (clCNFBMetricsProductivityTrainingInfoDelegate)
CL_DLL void | clCNFBMetricsProductivity_TrainingInfoEvent_Set (clCNFBMetricsProductivityTrainingInfoDelegate delegate, clCNFBMetricsProductivityTrainingInfoHandler handler) NOEXCEPT
CL_DLL clCNFBMetricsProductivityTrainingInfoDelegate | clCNFBMetricsProductivity_GetOnTrainingInfoEvent (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| CLC_STRUCT (clCNFBMetricsProductivityEventDelegate)
CL_DLL void | clCNFBMetricsProductivity_UpdateEvent_Set (clCNFBMetricsProductivityEventDelegate delegate, clCNFBMetricsProductivityEventHandler handler) NOEXCEPT
| Set handler for update event productivity metrics: 1min, 5min ... 60min.
CL_DLL clCNFBMetricsProductivityEventDelegate | clCNFBMetricsProductivity_GetOnUpdateEvent_1min (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for update event productivity metric 1 min.
CL_DLL clCNFBMetricsProductivityEventDelegate | clCNFBMetricsProductivity_GetOnUpdateEvent_5min (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for update event productivity metric 5 min.
CL_DLL clCNFBMetricsProductivityEventDelegate | clCNFBMetricsProductivity_GetOnUpdateEvent_15min (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for update event productivity metric 15 min.
CL_DLL clCNFBMetricsProductivityEventDelegate | clCNFBMetricsProductivity_GetOnUpdateEvent_30min (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for update event productivity metric 30 min.
CL_DLL clCNFBMetricsProductivityEventDelegate | clCNFBMetricsProductivity_GetOnUpdateEvent_60min (clCNFBMetricProductivity nfbMetrics) NOEXCEPT
| Get delegate for update event productivity metric 60 min.

## Typedef Documentation

## ◆ clCNFBMetricsProductivity_CurrentPowerIAPF

typedef float clCNFBMetricsProductivity_CurrentPowerIAPF

## ◆ clCNFBMetricsProductivity_relaxValue

typedef float clCNFBMetricsProductivity_relaxValue

## ◆ clCNFBMetricsProductivityArtifactsHandler

typedef void(* clCNFBMetricsProductivityArtifactsHandler) (clCNFBMetricProductivity, const clCNFBUserArtifacts *)

## ◆ clCNFBMetricsProductivityBaselines

typedef struct clCNFBMetricsProductivityBaselines clCNFBMetricsProductivityBaselines

## ◆ clCNFBMetricsProductivityCalibratedHandler

typedef void(* clCNFBMetricsProductivityCalibratedHandler) (clCNFBMetricProductivity)

## ◆ clCNFBMetricsProductivityEventHandler

typedef void(* clCNFBMetricsProductivityEventHandler) (clCNFBMetricProductivity, float)

## ◆ clCNFBMetricsProductivityIndividualHandler

typedef void(* clCNFBMetricsProductivityIndividualHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityIndividualIndexes *)

## ◆ clCNFBMetricsProductivityIndividualIndexes

typedef struct clCNFBMetricsProductivityIndividualIndexes clCNFBMetricsProductivityIndividualIndexes

## ◆ clCNFBMetricsProductivityInitialBaselineCalibratedHandler

typedef void(* clCNFBMetricsProductivityInitialBaselineCalibratedHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityBaselines *)

## ◆ clCNFBMetricsProductivityTrainingInfoHandler

typedef void(* clCNFBMetricsProductivityTrainingInfoHandler) (clCNFBMetricProductivity, clCNFBMetricsProductivity_CurrentPowerIAPF, clCNFBMetricsProductivity_relaxValue)

## ◆ clCNFBMetricsProductivityValues

typedef struct clCNFBMetricsProductivityValues clCNFBMetricsProductivityValues

## ◆ clCNFBMetricsProductivityValuesHandler

typedef void(* clCNFBMetricsProductivityValuesHandler) (clCNFBMetricProductivity, const clCNFBMetricsProductivityValues *)

## ◆ clCNFBUserArtifacts

typedef struct clCNFBUserArtifacts clCNFBUserArtifacts

Artifacts when measuring the state user.

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ProductivityMetricsPrivate | ,
|  | clCNFBMetricProductivity |
| ) |  |

## ◆ CLC_STRUCT() [1/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityArtifactsDelegate |  | ) |

## ◆ CLC_STRUCT() [2/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityCalibratedDelegate |  | ) |

## ◆ CLC_STRUCT() [3/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityEventDelegate |  | ) |

## ◆ CLC_STRUCT() [4/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityIndividualDelegate |  | ) |

## ◆ CLC_STRUCT() [5/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityInitialBaselineCalibratedDelegate |  | ) |

## ◆ CLC_STRUCT() [6/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityTrainingInfoDelegate |  | ) |

## ◆ CLC_STRUCT() [7/7]

CLC_STRUCT | ( | clCNFBMetricsProductivityValuesDelegate |  | ) |

## ◆ clCNFBMetricsProductivity_ArtifactsEvent_Set()

CL_DLL void clCNFBMetricsProductivity_ArtifactsEvent_Set | ( | clCNFBMetricsProductivityArtifactsDelegate | delegate,
|  | clCNFBMetricsProductivityArtifactsHandler | handler
| ) |  |

Set handler for occurrence artifacts event.

## ◆ clCNFBMetricsProductivity_CalibratedEvent_Set()

CL_DLL void clCNFBMetricsProductivity_CalibratedEvent_Set | ( | clCNFBMetricsProductivityCalibratedDelegate | delegate,
|  | clCNFBMetricsProductivityCalibratedHandler | handler
| ) |  |

Set handler for calibrated event NFB classifier, not involved yet.

## ◆ clCNFBMetricsProductivity_Create()

CL_DLL clCNFBMetricProductivity clCNFBMetricsProductivity_Create | ( | clCSession | session,
|  | const char * | path,
|  | double | speed,
|  | double | maxSpeed,
|  | double | slowDown,
|  | clCError * | error
| ) |  |

Create a NFB classifier for metrics productivity.

Parameters

  session | session handle. Valid session must be passed (does not need to be active)
  path | path to the directory with logs
  error | out error parameter

Returns
  NFBMetrics productivity handle

## ◆ clCNFBMetricsProductivity_CreateCalibrated()

CL_DLL clCNFBMetricProductivity clCNFBMetricsProductivity_CreateCalibrated | ( | clCNFBCalibrator | calibrator,
|  | const char * | path,
|  | double | speed,
|  | double | maxSpeed,
|  | double | slowDown,
|  | clCError * | error
| ) |  |

Create a NFB classifier for metrics productivity after individual NFB has been calibrated.

Parameters

  calibrator | calibrator handle. A calibrated calibrator must be passed
  path | path to the directory with logs
  error | out error parameter

Returns
  NFBMetrics productivity handle

## ◆ clCNFBMetricsProductivity_Destroy()

CL_DLL void clCNFBMetricsProductivity_Destroy | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Destroy NFB classifier. Release the NFBMetrics productivity handle.

Parameters

  nfbMetrics | NFBMetrics productivity handle

## ◆ clCNFBMetricsProductivity_GetIAF()

CL_DLL float clCNFBMetricsProductivity_GetIAF | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Set handler for Individual measure event.

Returns
  IAF or 0 if until the measurement individual state is completed

## ◆ clCNFBMetricsProductivity_GetIAPF()

CL_DLL float clCNFBMetricsProductivity_GetIAPF | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Set handler for Individual measure event.

Returns
  IAPF or 0 if until the measurement individual state is completed

## ◆ clCNFBMetricsProductivity_GetOnArtifactsEvent()

CL_DLL clCNFBMetricsProductivityArtifactsDelegate clCNFBMetricsProductivity_GetOnArtifactsEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for occurrence artifacts event.

## ◆ clCNFBMetricsProductivity_GetOnBaselineCalibratedEvent()

CL_DLL clCNFBMetricsProductivityCalibratedDelegate clCNFBMetricsProductivity_GetOnBaselineCalibratedEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for baseline calibration finished event.

## ◆ clCNFBMetricsProductivity_GetOnIndividualMeasuredEvent()

CL_DLL clCNFBMetricsProductivityIndividualDelegate clCNFBMetricsProductivity_GetOnIndividualMeasuredEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for Individual measure event.

## ◆ clCNFBMetricsProductivity_GetOnInitialBaselineCalibratedEvent()

CL_DLL clCNFBMetricsProductivityInitialBaselineCalibratedDelegate clCNFBMetricsProductivity_GetOnInitialBaselineCalibratedEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for initial baseline calibration finished event.

## ◆ clCNFBMetricsProductivity_GetOnProductivityValuesEvent()

CL_DLL clCNFBMetricsProductivityValuesDelegate clCNFBMetricsProductivity_GetOnProductivityValuesEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for Productivity scores event.

## ◆ clCNFBMetricsProductivity_GetOnTrainingInfoEvent()

CL_DLL clCNFBMetricsProductivityTrainingInfoDelegate clCNFBMetricsProductivity_GetOnTrainingInfoEvent | ( | clCNFBMetricProductivity | nfbMetrics | ) |

## ◆ clCNFBMetricsProductivity_GetOnUpdateEvent_15min()

CL_DLL clCNFBMetricsProductivityEventDelegate clCNFBMetricsProductivity_GetOnUpdateEvent_15min | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for update event productivity metric 15 min.

## ◆ clCNFBMetricsProductivity_GetOnUpdateEvent_1min()

CL_DLL clCNFBMetricsProductivityEventDelegate clCNFBMetricsProductivity_GetOnUpdateEvent_1min | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for update event productivity metric 1 min.

## ◆ clCNFBMetricsProductivity_GetOnUpdateEvent_30min()

CL_DLL clCNFBMetricsProductivityEventDelegate clCNFBMetricsProductivity_GetOnUpdateEvent_30min | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for update event productivity metric 30 min.

## ◆ clCNFBMetricsProductivity_GetOnUpdateEvent_5min()

CL_DLL clCNFBMetricsProductivityEventDelegate clCNFBMetricsProductivity_GetOnUpdateEvent_5min | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for update event productivity metric 5 min.

## ◆ clCNFBMetricsProductivity_GetOnUpdateEvent_60min()

CL_DLL clCNFBMetricsProductivityEventDelegate clCNFBMetricsProductivity_GetOnUpdateEvent_60min | ( | clCNFBMetricProductivity | nfbMetrics | ) |

Get delegate for update event productivity metric 60 min.

## ◆ clCNFBMetricsProductivity_IndividualMeasuredEvent_Set()

CL_DLL void clCNFBMetricsProductivity_IndividualMeasuredEvent_Set | ( | clCNFBMetricsProductivityIndividualDelegate | delegate,
|  | clCNFBMetricsProductivityIndividualHandler | handler
| ) |  |

Set handler for Individual measure event.

## ◆ clCNFBMetricsProductivity_InitialBaselineCalibratedEvent_Set()

CL_DLL void clCNFBMetricsProductivity_InitialBaselineCalibratedEvent_Set | ( | clCNFBMetricsProductivityInitialBaselineCalibratedDelegate | delegate,
|  | clCNFBMetricsProductivityInitialBaselineCalibratedHandler | handler
| ) |  |

Set delegate for initial baseline calibration finished event.

## ◆ clCNFBMetricsProductivity_InitializeNFB()

CL_DLL void clCNFBMetricsProductivity_InitializeNFB | ( | clCNFBMetricProductivity | nfbMetrics,
|  | const char * | platformAddress,
|  | clCError * | error
| ) |  |

Initialize NFB classifier for metrics productivity.

Parameters

  nfbMetrics | NFBMetrics productivity handle

## ◆ clCNFBMetricsProductivity_ResetAccumulatedFatigue()

CL_DLL void clCNFBMetricsProductivity_ResetAccumulatedFatigue | ( | clCNFBMetricProductivity | nfbMetrics,
|  | clCError * | error
| ) |  |

Reset accumulated fatigue and start calculated it from 0.

## ◆ clCNFBMetricsProductivity_TrainingInfoEvent_Set()

CL_DLL void clCNFBMetricsProductivity_TrainingInfoEvent_Set | ( | clCNFBMetricsProductivityTrainingInfoDelegate | delegate,
|  | clCNFBMetricsProductivityTrainingInfoHandler | handler
| ) |  |

## ◆ clCNFBMetricsProductivity_UpdateEvent_Set()

CL_DLL void clCNFBMetricsProductivity_UpdateEvent_Set | ( | clCNFBMetricsProductivityEventDelegate | delegate,
|  | clCNFBMetricsProductivityEventHandler | handler
| ) |  |

Set handler for update event productivity metrics: 1min, 5min ... 60min.

## ◆ clCNFBMetricsProductivity_ValuesEvent_Set()

CL_DLL void clCNFBMetricsProductivity_ValuesEvent_Set | ( | clCNFBMetricsProductivityValuesDelegate | delegate,
|  | clCNFBMetricsProductivityValuesHandler | handler
| ) |  |

Set handler for Productivity scores event.